From b6bbcc6292a13ebb48d1f2705094f5e48eada15e Mon Sep 17 00:00:00 2001
From: Guillem Jover <guillem@debian.org>
Date: Mon, 4 Aug 2014 14:17:05 +0200
Subject: [PATCH 3/4] Use dpkg-deb --field instead of parsing dpkg-deb -I
 output

---
 dpkg-hurd                     | 2 +-
 makehurddir.sh                | 2 +-
 native-install/native-install | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/dpkg-hurd b/dpkg-hurd
index b764744..449c726 100755
--- a/dpkg-hurd
+++ b/dpkg-hurd
@@ -77,7 +77,7 @@ case ${1} in
 
 	action="${1}"
 	file="${2}"
-	name=`dpkg --info ${file} | grep '^ Package:' - | sed -e "s/ Package: //"`
+	name=`dpkg-deb --field ${file} Package`
 
 	[ -f ${file} ] || err "file \`${file}' does not exist"
 
diff --git a/makehurddir.sh b/makehurddir.sh
index 4f3670e..d29d881 100755
--- a/makehurddir.sh
+++ b/makehurddir.sh
@@ -33,7 +33,7 @@ if [ $retval != 0 ]; then
 fi
 
 extract `(cd $TARGET/var/cache/apt/archives && \
-	for i in *.deb; do dpkg --info $i | grep ^\ Priority:.required \
+	for i in *.deb; do dpkg-deb --field $i Priority | grep ^required \
 	&& echo $i; done) | cut -d _ -f 1`
 
 if [ -e $TARGET/var/cache/apt/archives/gnumach-image-1.4-486_* ] ; then
diff --git a/native-install/native-install b/native-install/native-install
index 4e935c8..21dc92c 100755
--- a/native-install/native-install
+++ b/native-install/native-install
@@ -149,7 +149,7 @@ fi
 
 # install required packages
 for i in /var/cache/apt/archives/*.deb ; do 
-	dpkg --info $i | grep ^\ Priority:.required > /dev/null \
+	dpkg-deb --field $i Priority | grep ^required > /dev/null \
 	&& dpkg --force-depends --skip-same-version --unpack $i
 done
 dpkg --force-depends --skip-same-version --unpack /var/cache/apt/archives/insserv_*.deb
-- 
2.0.1.570.gc6b0718

